Subject: (whorl) Oosik and Mattak

From: Alice Turner <al at interport.net>
Date: Fri, 21 Mar 1997 21:34:08 +0000

[Posted from Whorl, the mailing list for Gene Wolfe's Book of the Long Sun]

Kudos to Wesley Parsons! Oosik and Mattak were real head-scratchers, and a
wonderful find. Now if someone could just pin down the Triv language so we
could start in on them. No Arab or Turkik scholars here?

Oh, and I agree that Mamelta needn't be a plant name (pace Olive, which
exists as a name now in a less rigid naming system), though it would be
neat (literally) if it was.. Mamata was an Indian demi-goddess demi-raped
by her brother-in-law (she was already pregnant by her husband and the
fetus prevented the rape). Mamitu was an evil Mesopotamian goddess. But I
don't buy either of those--and it shouldn't be a goddess name anyway. We'll
have to keep looking. 

-alga-

Questions or problems to whorl-owner at lists.best.com